### Method

# Ide DeviceManager get_device_by_id

#### Declaration

    IdeDevice*
    ide_device_manager_get_device_by_id (
      IdeDeviceManager* self,
      const gchar* device_id
    )

#### Description

Fetches the first device that matches the device identifier `device_id`.

Available since: | 3.32

#### Parameters

`device_id` | `const gchar*`
| The device identifier string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeDevice`
| An `IdeDevice` or `NULL`.
| The data is owned by the instance.